import Cocoa
import PlaygroundSupport

PlaygroundPage.current.needsIndefiniteExecution = true

let base64Service = Base64Service()
let echoService = EchoService()

let decodeOnce = DecodeStep(base64Service: base64Service).successful()
let decodeTwice = DecodeStep(base64Service: base64Service).successful()

let echo = EchoStep(echoService: echoService).make()

let series:Step = decodeOnce(decodeTwice(echo))
series(["message":"U0dWc2JHOGdWMjl5YkdRaA=="])
